> ## Documentation Index
> Fetch the complete documentation index at: https://docs.geekai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Doubao-Seedream-4.5

Seedream 4.5 作为字节跳动最新的图像生成模型，能力最强，在编辑一致性（如主体细节与光影色调的保持）、人像美化和小字生成方面体验升级。同时，模型的多图组合能力显著增强，推理能力与画面美学持续优化，能够更精准、更具艺术感地呈现创意。

* 模型ID：`doubao-seedream-4.5`
* 模型价格：你可以在[模型广场](https://geekai.co/models?platform=bytedance\&type=image)查看最新价格信息
* 调用入口：`https://geekai.co/api/v1/images/generations`
* 模型参数：参考[画图 API 手册](https://docs.geekai.co/cn/api/image/generations)
* API认证：[获取 API KEY](https://docs.geekai.co/cn/docs/quick_start)

<Note>
  不支持画图 API 中的以下参数：

  * `negative_prompt`
  * `seed`
  * `strength`
  * `aspect_ratio`
  * `quality`
  * `style_preset`
  * `output_format`
  * `mask`
  * `background`

  附：[Seedream 4.5 官方 API 文档](https://www.volcengine.com/docs/82379/1824121)
</Note>

Doubao-Seedream-4.5 不支持设置图片宽高比及分辨率,可以通过 `size` 字段实现，该字段支持两种方式传值：

* 指定生成图像的分辨率: `2K`、`4K`, 并在prompt中用自然语言描述图片宽高比、图片形状或图片用途，最终由模型判断生成图片的大小。
* 指定生成图像的宽高像素值，默认值是 `2048x2048`，对应宽高比为 1:1，此外还可以通过如下像素值生成不同宽高比的图片：

| 分辨率 | 宽高比  | 像素值       |
| --- | ---- | --------- |
| 2K  | 1:1  | 2048x2048 |
|     | 4:3  | 2304x1728 |
|     | 3:4  | 1728x2304 |
|     | 16:9 | 2848x1600 |
|     | 9:16 | 1600x2848 |
|     | 3:2  | 2496x1664 |
|     | 2:3  | 1664x2496 |
|     | 21:9 | 3136x1344 |
| 4K  | 1:1  | 4096x4096 |
|     | 4:3  | 3520x4704 |
|     | 3:4  | 4704x3520 |
|     | 16:9 | 5504x3040 |
|     | 9:16 | 3040x5504 |
|     | 3:2  | 3328x4992 |
|     | 2:3  | 4992x3328 |
|     | 21:9 | 6240x2656 |

### 文生图

通过给模型提供清晰准确的文字指令，即可快速获得符合描述的高质量单张图片：

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"doubao-seedream-4.5",
    "prompt":"画一只可爱的小猫在草丛中玩耍",
    "size": "2K"
}'
```

响应是一个 JSON 对象，包含生成图片的 URL：

```json theme={null}
{
    "model": "doubao-seedream-4.5",
    "created": 1766997450,
    "task_id": "2535fa4a-b5ea-4664-8e33-478e22606d4f",
    "task_status": "succeed",
    "data": [
        {
             "url": "https://static.geekai.co/image/2025/12/29/398b72b457492fbe36c9ac6efc69121b.jpeg"
        }
    ],
    "usage": {
        "billed_units": 1,
        "output_tokens": 16384,
        "total_tokens": 16384
    }
}
```

### 图生图

**单图**

基于已有图片，结合文字指令进行图像编辑，生成新的图像：

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"doubao-seedream-4.5",
    "prompt": "根据这张小猫图片，生成一张和毛线球玩耍的图片",
    "image": "https://static.geekai.co/image/2025/12/29/398b72b457492fbe36c9ac6efc69121b.jpeg",
    "size": "2K"
}'
```

响应是一个 JSON 对象，包含生成图片的 URL：

```json theme={null}
{
    "model": "doubao-seedream-4.5",
    "created": 1766999002,
    "task_id": "20d598c9-703b-4ac1-8d8b-3a17917f7c71",
    "task_status": "succeed",
    "data": [
        {
            "url": "https://static.geekai.co/image/2025/12/29/c0c888a2acc9a0cdb27c49878571dd2f.jpeg"
        }
    ],
    "usage": {
        "billed_units": 1,
        "output_tokens": 16384,
        "total_tokens": 16384
    }
}
```

**多图**

根据您输入的文本描述和多张参考图片，融合它们的风格、元素等特征来生成新图像：

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"doubao-seedream-4.5",
    "prompt": "将图1的服装换为图2的服装",
    "image": [
        "https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_imagesToimage_1.png", 
        "https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_5_imagesToimage_2.png"
    ],
    "size": "4k",
    "watermark": false,
}'
```

响应是一个 JSON 对象，包含生成图片的 URL：

```json theme={null}
{
    "model": "doubao-seedream-4.5",
    "created": 1767663594,
    "task_id": "0785df56-af20-49bb-9b5d-3b082e244482",
    "task_status": "succeed",
    "data": [
        {
            "url": "https://static.geekai.co/image/2026/01/06/884c492ff60dafa1bed2b2113a360582.jpeg"
        }
    ],
    "usage": {
        "billed_units": 1,
        "output_tokens": 65536,
        "total_tokens": 65536
    }
}
```

### 组图生成

支持通过一张或者多张图片和文字信息，生成漫画分镜、品牌视觉等一组内容关联的图片：

**文生组图**

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"doubao-seedream-4.5",
    "prompt": "生成一组共4张连贯插画，核心为同一庭院一角的四季变迁，以统一风格展现四季独特色彩、元素与氛围",
    "size": "2K",
    "response_format": "url",
    "watermark": true,
    "extra_body": {
        "sequential_image_generation": "auto",
        "sequential_image_generation_options": {
            "max_images": 4
        }
    }
}'
```

响应是一个 JSON 对象，其中包含生成的组图列表：

```json theme={null}
{
    "model": "doubao-seedream-4.5",
    "created": 1767009952,
    "task_id": "0ebe205a-ecd3-446a-8751-6923c2e9f70b",
    "task_status": "succeed",
    "data": [
        {
            "url": "https://static.geekai.co/image/2025/12/29/c5ea6a6601a75d5cd377b287d9a5f0c9.jpeg"
        },
        {
            "url": "https://static.geekai.co/image/2025/12/29/ec90634ffadd295d6cdefebcd739a581.jpeg"
        },
        {
            "url": "https://static.geekai.co/image/2025/12/29/fe354ed6415711fa316edd9e58ec3453.jpeg"
        },
        {
            "url": "https://static.geekai.co/image/2025/12/29/7d4d557691a06bf41dcaeddadd0bbe99.jpeg"
        }
    ],
    "usage": {
        "billed_units": 4,
        "output_tokens": 62208,
        "total_tokens": 62208
    }
}
```

**单张图生组图**

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"doubao-seedream-4.5",
    "prompt": "参考这个LOGO，做一套户外运动品牌视觉设计，品牌名称为'GREEN'，包括包装袋、帽子、卡片、挂绳等。绿色视觉主色调，趣味、简约现代风格",
    "image": "https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_imageToimages.png",
    "size": "2K",
    "response_format": "url",
    "watermark": false,
    "extra_body":{
        "sequential_image_generation": "auto",
        "sequential_image_generation_options": {
            "max_images": 4
        }
    }
}'
```

响应和文生组图一样， 是JSON 对象，其中包含生成的组图列表

**多张图生组图**

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"doubao-seedream-4.5",
    "prompt": "生成女孩和奶牛玩偶在游乐园开心地坐过山车的图片，涵盖早晨、中午、晚上",
    "image": [
        "https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_imagesToimages_1.png", 
        "https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_imagesToimages_2.png"
    ],
    "size": "2K",
    "response_format": "url",
    "watermark": false,
    "extra_body":{
        "sequential_image_generation": "auto",
        "sequential_image_generation_options": {
            "max_images": 3
        }
    }
}'
```

响应和文生组图一样， 是JSON 对象，其中包含生成的组图列表
